package com.goafanti.app.bo;

import com.goafanti.comment.bo.CommentDetailResult;

public class ExpertsListBo {
	private String uid;
	private String username;
	private String personPortraitUrl;
	private String introduction ;
	private Integer industry;
	private String workUnit;
	private String professionalTitle;
	private Integer countInterest;
	private Integer interested;
	private Integer expert;
	private Integer favorable;
	private Integer general;
	private Integer inferior;
	private Integer commentCount;
	private String favorableRate;
	private  CommentDetailResult	commentDetailResult;
	private Integer consultantType;
	private String consultantTypeName;
	private String keyword;
	private String typicalCase;
	private String honer;
	private String goodAtIndustry;
	private String mobile;
	public String getUid() {
		return uid;
	}
	public void setUid(String uid) {
		this.uid = uid;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPersonPortraitUrl() {
		return personPortraitUrl;
	}
	public void setPersonPortraitUrl(String personPortraitUrl) {
		this.personPortraitUrl = personPortraitUrl;
	}
	public String getIntroduction() {
		return introduction;
	}
	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}
	public Integer getIndustry() {
		return industry;
	}
	public void setIndustry(Integer industry) {
		this.industry = industry;
	}
	public String getWorkUnit() {
		return workUnit;
	}
	public void setWorkUnit(String workUnit) {
		this.workUnit = workUnit;
	}
	public String getProfessionalTitle() {
		return professionalTitle;
	}
	public void setProfessionalTitle(String professionalTitle) {
		this.professionalTitle = professionalTitle;
	}
	public Integer getCountInterest() {
		return countInterest;
	}
	public void setCountInterest(Integer countInterest) {
		this.countInterest = countInterest;
	}
	public Integer getInterested() {
		return interested;
	}
	public void setInterested(Integer interested) {
		this.interested = interested;
	}
	public Integer getExpert() {
		return expert;
	}
	public void setExpert(Integer expert) {
		this.expert = expert;
	}
	public Integer getFavorable() {
		return favorable;
	}
	public void setFavorable(Integer favorable) {
		this.favorable = favorable;
	}
	public Integer getGeneral() {
		return general;
	}
	public void setGeneral(Integer general) {
		this.general = general;
	}
	public Integer getInferior() {
		return inferior;
	}
	public void setInferior(Integer inferior) {
		this.inferior = inferior;
	}
	public Integer getCommentCount() {
		return commentCount;
	}
	public void setCommentCount(Integer commentCount) {
		this.commentCount = commentCount;
	}
	public String getFavorableRate() {
		return favorableRate+"%";
	}
	public void setFavorableRate(String favorableRate) {
		this.favorableRate = favorableRate;
	}
	public CommentDetailResult getCommentDetailResult() {
		return commentDetailResult;
	}
	public void setCommentDetailResult(CommentDetailResult commentDetailResult) {
		this.commentDetailResult = commentDetailResult;
	}
	public Integer getConsultantType() {
		return consultantType;
	}
	public void setConsultantType(Integer consultantType) {
		this.consultantType = consultantType;
	}
	public String getConsultantTypeName() {
		return consultantTypeName;
	}
	public void setConsultantTypeName(String consultantTypeName) {
		this.consultantTypeName = consultantTypeName;
	}
	public String getKeyword() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	public String getTypicalCase() {
		return typicalCase;
	}
	public void setTypicalCase(String typicalCase) {
		this.typicalCase = typicalCase;
	}
	public String getHoner() {
		return honer;
	}
	public void setHoner(String honer) {
		this.honer = honer;
	}
	public String getGoodAtIndustry() {
		return goodAtIndustry;
	}
	public void setGoodAtIndustry(String goodAtIndustry) {
		this.goodAtIndustry = goodAtIndustry;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	
}
